diff --git a/src/bin/psql/common.c b/src/bin/psql/common.c
index bbdafab..7320f31 100644
--- a/src/bin/psql/common.c
+++ b/src/bin/psql/common.c
@@ -1023,12 +1023,12 @@ SendQuery(const char *query)
 		}
 	}
 
-	PQclear(results);
-
 	/* Possible microtiming output */
-	if (pset.timing)
+	if (pset.timing && PQresultStatus(results) != PGRES_EMPTY_QUERY)
 		printf(_("Time: %.3f ms\n"), elapsed_msec);
 
+	PQclear(results);
+
 	/* check for events that may occur during query execution */
 
 	if (pset.encoding != PQclientEncoding(pset.db) &&
